jack_transport_info_t Struct Reference

`#include <transport.h>`

## Data Fields

jack_nframes_t | frame_rate
jack_time_t | usecs
jack_transport_bits_t | valid
jack_transport_state_t | transport_state
jack_nframes_t | frame
jack_nframes_t | loop_start
jack_nframes_t | loop_end
long | smpte_offset
float | smpte_frame_rate
int | bar
int | beat
int | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute

## Detailed Description

Deprecated struct for transport position information.

Deprecated:
  This is for compatibility with the earlier transport interface. Use the jack_position_t struct, instead.

## Field Documentation

int jack_transport_info_t::bar

double jack_transport_info_t::bar_start_tick

int jack_transport_info_t::beat

float jack_transport_info_t::beat_type

float jack_transport_info_t::beats_per_bar

double jack_transport_info_t::beats_per_minute

jack_nframes_t jack_transport_info_t::frame

jack_nframes_t jack_transport_info_t::frame_rate

current frame rate (per second)

jack_nframes_t jack_transport_info_t::loop_end

jack_nframes_t jack_transport_info_t::loop_start

float jack_transport_info_t::smpte_frame_rate

29.97, 30, 24 etc.

long jack_transport_info_t::smpte_offset

SMPTE offset (from frame 0)

int jack_transport_info_t::tick

double jack_transport_info_t::ticks_per_beat

jack_transport_state_t jack_transport_info_t::transport_state

jack_time_t jack_transport_info_t::usecs

monotonic, free-rolling

jack_transport_bits_t jack_transport_info_t::valid

which fields are legal to read

The documentation for this struct was generated from the following file:

- transport.h